Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3675 - rpm doesn't order correctly for prereq/requires
Summary: rpm doesn't order correctly for prereq/requires
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-23 16:00 UTC by Bill Nottingham
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-06-23 16:00:26 UTC
chkfontpath:
  requires  XFree86-xfs
XFree86-xfs
  prereq    shadow-utils
  req       initscripts >= 4.01
XFree86-75dpi-fonts
  prereq    chkfontpath

So, the order should be, IIRC:

shadow-utils
initscripts
XFree86-xfs
chkfontpath
XFree86-75dpi-fonts

However, when doing a base 6.0 install (default components),
the order is:

chkfontpath
shadow-utils
initscripts
XFree86-75dpi-fonts
XFree86-xfs

(oddly enough, with some other combination of components,
the xfs & 75dpi fonts order is swapped...)


Note You need to log in before you can comment on or make changes to this bug.